package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.AutobusDocDAO;
import com.rjconsultores.ventaboletos.entidad.Autobus;
import com.rjconsultores.ventaboletos.entidad.AutobusDoc;

@Repository("autobusDocDAO")
public class AutobusDocHibernateDAO extends GenericHibernateDAO<AutobusDoc, Integer>
implements AutobusDocDAO {

	@Autowired
	public AutobusDocHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<AutobusDoc> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
	}
	
	@Override
	public List<AutobusDoc> obtenerPorAutobus(Autobus autobus) {
		Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("autobus", autobus));

        return c.list();
	}
	

}
